Skip to main content
GET
Get NFT details

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://voyager.online/plans

Path Parameters

cursor
string
default:ffffffffffffffffffffff

Opaque cursor returned by the previous response. Omit for the first request.

limit
integer
default:25

Maximum number of items to return. Defaults to 25.

contract_address
string
required

Starknet contract address (0x-prefixed hex).

Pattern: ^(0x[0-9a-fA-F]{1,66})$
token_id
string | null

NFT token ID within the collection.

Response

NFT details

contractType
number | null
required
attributes
any[] | null
required
mintedAtTimestamp
number | null
required
mintedAtBlockNumber
number | null
required
updatedAt
number | null
required
contractAddress
string | null
collectionName
string | null
tokenId
string | null
name
string | null
description
string | null
externalUrl
string | null
imageUrl
string | null
imageSmallUrl
string | null
imageLargeUrl
string | null
youtubeUrl
string | null
animationUrl
string | null
mintedByAddress
string | null
mintedAtTransactionHash
string | null
latestActivity
object
balance
object
isVerified
boolean | null
mintedByAddressAlias
string | null